[next] [prev] [prev-tail] [tail] [up]

### 6.2 Latex output

The latex output is in one big file with the name of the package as specified on the command line. in this file, one chapter is made per unit.

Per unit the following sections are made:

1. A section with all constants.
2. A section with all types.
3. A section with all variables.
4. A section with all functions and procedures.
5. A section per declared class.

For the constants, types and variables, the declaration is given, followed by the descr node of the element corresponding to the identifier. All other nodes are ignored.

For functions and procedures, a subsection is made per procedure or function. This subsection consists of a list with the following entries:

Synopsis
  filled with the contents of the short tag.
Declaration
  Filled with the declaration of the function.
Arguments
  A tabular description of all arguments, if short tags are found for them.
Description
  Description of the function. Filled with the contents of the descr tag.
Errors
  Description of any error conditions. Filled with the contents of the errors tag.
See Also
  Cross-references to other functions. Filled with the contents of the seealso tag.

For classes, a subsection is made with an overview of implemented methods. Then a subsection is presented with available properties.

Then follows a subsection per method. These are formatted as a function, with an additional Visibility list element, giving the visibility of the function.

After the methods, a list of properties is given , formatted as a method, with an additional Access list element, specifying whether the property is read/write or not.

[next] [prev] [prev-tail] [front] [up]